Bug 146793 - http.conf has User and Group statement in wrong block
http.conf has User and Group statement in wrong block
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 12:34 EST by man
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 06:13:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description man 2005-02-01 12:34:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Around line 210 of httpd.conf, it states:

### Section 2: 'Main' server configuration
#
# The directives in this section set up the values used by the 'main'
# server, which responds to any requests that aren't handled by a
# <VirtualHost> definition.  These values also provide defaults for
# any <VirtualHost> containers you may define later in the file.
#
# All of these directives may appear inside <VirtualHost> containers,
# in which case these default settings will be overridden for the
# virtual host being defined.
#

this is then immediately followed by the section for User and Group
settings, which CANNOT be used inside a <VirtualHost>.

not really a big deal, but confusing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Look in /etc/httpd/conf/httpd.conf beyond line 210
2. read the text
3.
    

Actual Results:  User and group section is in 'Main' Server config

Expected Results:  User and group section in 'Global' config section.

Additional info:
Comment 1 Joe Orton 2005-03-29 06:13:21 EST
Thanks for the report; this has been fixed for FC4.

Note You need to log in before you can comment on or make changes to this bug.